package cn.ibizlab.assetmanagement.core.location.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.location.domain.EAMLocation;
/**
 * 关系型数据实体[EAMLocation] 查询条件对象
 */
@Slf4j
@Data
public class EAMLocationSearchContext extends QueryWrapperContext<EAMLocation> {

	private String n_eamlocationname_like;//[功能位置名称]
	public void setN_eamlocationname_like(String n_eamlocationname_like) {
        this.n_eamlocationname_like = n_eamlocationname_like;
        if(!ObjectUtils.isEmpty(this.n_eamlocationname_like)){
            this.getSearchCond().like("eamlocationname", n_eamlocationname_like);
        }
    }
	private String n_eamlocationtypeid_eq;//[功能位置类型标识]
	public void setN_eamlocationtypeid_eq(String n_eamlocationtypeid_eq) {
        this.n_eamlocationtypeid_eq = n_eamlocationtypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationtypeid_eq)){
            this.getSearchCond().eq("eamlocationtypeid", n_eamlocationtypeid_eq);
        }
    }
	private String n_peamlocationid_eq;//[上级功能位置标识]
	public void setN_peamlocationid_eq(String n_peamlocationid_eq) {
        this.n_peamlocationid_eq = n_peamlocationid_eq;
        if(!ObjectUtils.isEmpty(this.n_peamlocationid_eq)){
            this.getSearchCond().eq("peamlocationid", n_peamlocationid_eq);
        }
    }
	private String n_eamlocationstateid_eq;//[功能位置状态标识]
	public void setN_eamlocationstateid_eq(String n_eamlocationstateid_eq) {
        this.n_eamlocationstateid_eq = n_eamlocationstateid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationstateid_eq)){
            this.getSearchCond().eq("eamlocationstateid", n_eamlocationstateid_eq);
        }
    }
	private String n_peamlocationname_eq;//[上级位置]
	public void setN_peamlocationname_eq(String n_peamlocationname_eq) {
        this.n_peamlocationname_eq = n_peamlocationname_eq;
        if(!ObjectUtils.isEmpty(this.n_peamlocationname_eq)){
            this.getSearchCond().eq("peamlocationname", n_peamlocationname_eq);
        }
    }
	private String n_peamlocationname_like;//[上级位置]
	public void setN_peamlocationname_like(String n_peamlocationname_like) {
        this.n_peamlocationname_like = n_peamlocationname_like;
        if(!ObjectUtils.isEmpty(this.n_peamlocationname_like)){
            this.getSearchCond().like("peamlocationname", n_peamlocationname_like);
        }
    }
	private String n_eamlocationtypename_eq;//[功能位置类型]
	public void setN_eamlocationtypename_eq(String n_eamlocationtypename_eq) {
        this.n_eamlocationtypename_eq = n_eamlocationtypename_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationtypename_eq)){
            this.getSearchCond().eq("eamlocationtypename", n_eamlocationtypename_eq);
        }
    }
	private String n_eamlocationtypename_like;//[功能位置类型]
	public void setN_eamlocationtypename_like(String n_eamlocationtypename_like) {
        this.n_eamlocationtypename_like = n_eamlocationtypename_like;
        if(!ObjectUtils.isEmpty(this.n_eamlocationtypename_like)){
            this.getSearchCond().like("eamlocationtypename", n_eamlocationtypename_like);
        }
    }
	private String n_eamlocationstatename_eq;//[功能位置状态]
	public void setN_eamlocationstatename_eq(String n_eamlocationstatename_eq) {
        this.n_eamlocationstatename_eq = n_eamlocationstatename_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationstatename_eq)){
            this.getSearchCond().eq("eamlocationstatename", n_eamlocationstatename_eq);
        }
    }
	private String n_eamlocationstatename_like;//[功能位置状态]
	public void setN_eamlocationstatename_like(String n_eamlocationstatename_like) {
        this.n_eamlocationstatename_like = n_eamlocationstatename_like;
        if(!ObjectUtils.isEmpty(this.n_eamlocationstatename_like)){
            this.getSearchCond().like("eamlocationstatename", n_eamlocationstatename_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamlocationname", query)   
            );
		 }
	}
}



